Bug 1277493 - (kdyby/events) Review Request: php-kdyby-events - Events for Nette Framework
Review Request: php-kdyby-events - Events for Nette Framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: nette/tester nette/utils nette/di nette/nette
Blocks: apigen/apigen
  Show dependency treegraph
 
Reported: 2015-11-03 08:15 EST by Remi Collet
Modified: 2016-03-29 13:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-24 21:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (18.55 KB, text/plain)
2016-03-11 07:34 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (14.17 KB, text/plain)
2016-03-11 07:35 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.62 KB, text/plain)
2016-03-11 07:35 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 08:15:18 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/88d36cabba63833e5ca87283ef3de228a41470a2/php/nette/php-kdyby-events/php-kdyby-events.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-kdyby-events-2.4.0-1.remi.src.rpm
Description: 
This extension is here to provide robust events system for Nette Framework.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Kdyby/Events/autoload.php';

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2016-03-11 07:34 EST
Created attachment 1135202 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built Feb 09 2016 11:36:16 CET
Comment 2 Shawn Iwinski 2016-03-11 07:35 EST
Created attachment 1135212 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built Feb 09 2016 11:36:16 CET
Comment 3 Shawn Iwinski 2016-03-11 07:35 EST
Created attachment 1135216 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277493
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2016-03-11 07:37:33 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



[!]: Latest version is packaged.

     Latest version is 3.0.0 but packager can decide what their app stack needs.



No blockers.

==== APPROVED =====
Comment 5 Gwyn Ciesla 2016-03-11 11:13:15 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-kdyby-events
Comment 6 Fedora Update System 2016-03-12 02:48:54 EST
php-kdyby-events-2.4.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2233f6c5f1
Comment 7 Fedora Update System 2016-03-12 02:49:00 EST
php-kdyby-events-2.4.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ffc8b0783
Comment 8 Fedora Update System 2016-03-12 02:49:05 EST
php-kdyby-events-2.4.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-84540d683f
Comment 9 Fedora Update System 2016-03-12 02:49:09 EST
php-kdyby-events-2.4.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-07385a62a7
Comment 10 Fedora Update System 2016-03-13 20:50:47 EDT
php-kdyby-events-2.4.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-07385a62a7
Comment 11 Fedora Update System 2016-03-13 21:20:31 EDT
php-kdyby-events-2.4.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84540d683f
Comment 12 Fedora Update System 2016-03-15 14:50:28 EDT
php-kdyby-events-2.4.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2233f6c5f1
Comment 13 Fedora Update System 2016-03-15 15:22:34 EDT
php-kdyby-events-2.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ffc8b0783
Comment 14 Fedora Update System 2016-03-24 21:26:20 EDT
php-kdyby-events-2.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-25 18:21:05 EDT
php-kdyby-events-2.4.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-26 14:11:12 EDT
php-kdyby-events-2.4.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-29 13:57:19 EDT
php-kdyby-events-2.4.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.